Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.uml.statemachine
Class StateMachineReport

    java.lang.Object
      |
      +--org.opencyc.uml.statemachine.StateMachineReport

public class StateMachineReport
extends java.lang.Object

Reports the static structure a state machine.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Constructor Summary
`StateMachineReport(StateMachine stateMachine)` Constructs a new StateMachineReport object.

Method Summary
`void` | `report()` Performs the state machine report.
`protected void` | `reportCompositeState(CompositeState compositeState)` Reports the given composite state.
`protected void` | `reportFinalState(FinalState finalState)` Reports the given final state.
`protected void` | `reportPseudoState(PseudoState pseudoState)` Reports the given pseudo state.
`protected void` | `reportSimpleState(SimpleState simpleState)` Reports the given simple state.
`protected void` | `reportState(StateVertex stateVertex)` Reports the given state and any child states.
`protected void` | `reportStateDetails(State state)` Reports the state details
`protected void` | `reportStateMachine()` Reports the state machine object.
`protected void` | `reportTransitionDetails(Transition transition, java.lang.String description)` Reports the transition details

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateMachineReport

    public StateMachineReport(StateMachine stateMachine)

  Constructs a new StateMachineReport object.

Method Detail

### report

    public void report()

  Performs the state machine report.

### reportStateMachine

    protected void reportStateMachine()

  Reports the state machine object.

### reportState

    protected void reportState(StateVertex stateVertex)

  Reports the given state and any child states.

### reportPseudoState

    protected void reportPseudoState(PseudoState pseudoState)

  Reports the given pseudo state.
  Parameters:
    `pseudoState` - the given pseudo state

### reportSimpleState

    protected void reportSimpleState(SimpleState simpleState)

  Reports the given simple state.
  Parameters:
    `simpleState` - the given simple state

### reportFinalState

    protected void reportFinalState(FinalState finalState)

  Reports the given final state.
  Parameters:
    `finalState` - the given final state

### reportCompositeState

    protected void reportCompositeState(CompositeState compositeState)

  Reports the given composite state.
  Parameters:
    `compositeState` - the given composite state

### reportStateDetails

    protected void reportStateDetails(State state)

  Reports the state details

### reportTransitionDetails

    protected void reportTransitionDetails(Transition transition,
                                           java.lang.String description)

  Reports the transition details
  Parameters:
    `transition` - the transition to report
    `description` - the transition description

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD